# Poco::Net

# class QuotedPrintableDecoderBuf

Library: Net
Package: Messages
Header: Poco/Net/QuotedPrintableDecoder.h

## Description

This streambuf decodes all quoted-printable (see RFC 2045) encoded data read from the istream connected to it.

## Inheritance

Direct Base Classes: Poco::UnbufferedStreamBuf

All Base Classes: Poco::UnbufferedStreamBuf

## Constructors

### QuotedPrintableDecoderBuf

QuotedPrintableDecoderBuf(
std::istream & istr
);

## Destructor

### ~QuotedPrintableDecoderBuf

~QuotedPrintableDecoderBuf();